/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class CmAuthorityDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				authcode			= "";					//権限コード
	private String				authname			= "";					//権限ネーム
	private String				employee			= "";					//従業員メニュー
	private String				manager				= "";					//マネージャーメニュー
	private String				payroll				= "";					//給与メニュー
	private String				human				= "";					//人事メニュー
	private String				insurance			= "";					//社会保険メニュー
	private String				bonus				= "";					//賞与メニュー
	private String				adjustment			= "";					//年末調整メニュー
	private String				expense				= "";					//経費メニュー
	private String				service1			= "";
	private String				service2			= "";
	private String				service3			= "";
	private String				service4			= "";
	private String				service5			= "";
	private int					deleteflag			= 0;					//削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public CmAuthorityDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return	authcode	権限コード
	 */
	public String getAuthCode() {
		return authcode;
	}
	
	/**
	 * @return 権限ネーム
	 */
	public String getAuthName() {
		return authname;
	}
	
	/**
	 * @return 従業員メニュー
	 */
	public String getEmployee() {
		return employee;
	}
	
	/**
	 * @return マネージャーメニュー
	 */
	public String getManager() {
		return manager;
	}
	
	/**
	 * @return 給与メニュー
	 */
	public String getPayroll() {
		return payroll;
	}
	
	/**
	 * @return 人事メニュー
	 */
	public String getHuman() {
		return human;
	}
	
	/**
	 * @return 社会保険メニュー
	 */
	public String getInsurance() {
		return insurance;
	}
	
	/**
	 * @return 賞与メニュー
	 */
	public String getBonus() {
		return bonus;
	}
	
	/**
	 * @return 年末調整メニュー
	 */
	public String getAdjustment() {
		return adjustment;
	}
	
	/**
	 * @return 経費メニュー
	 */
	public String getExpense() {
		return expense;
	}
	
	/**
	 * @return メニュー1
	 */
	public String getService1() {
		return service1;
	}
	
	/**
	 * @return メニュー2
	 */
	public String getService2() {
		return service2;
	}
	
	/**
	 * @return メニュー3
	 */
	public String getService3() {
		return service3;
	}
	
	/**
	 * @return メニュー4
	 */
	public String getService4() {
		return service4;
	}
	
	/**
	 * @return メニュー5
	 */
	public String getService5() {
		return service5;
	}
	
	/**
	 * @return 削除フラグ
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param authcode	権限コード
	 */
	public void setAuthCode(String authcode) {
		this.authcode = authcode;
	}
	
	/**
	 * @param authname 権限ネーム
	 */
	public void setAuthName(String authname) {
		this.authname = authname;
	}
	
	/**
	 * @param employee 従業員メニュー
	 */
	public void setEmployee(String employee) {
		this.employee = employee;
	}
	
	/**
	 * @param manager マネージャーメニュー
	 */
	public void setManager(String manager) {
		this.manager = manager;
	}
	
	/**
	 * @param payroll 給与メニュー
	 */
	public void setPayroll(String payroll) {
		this.payroll = payroll;
	}
	
	/**
	 * @param human 人事メニュー
	 */
	public void setHuman(String human) {
		this.human = human;
	}
	
	/**
	 * @param insurance 社会保険メニュー
	 */
	public void setInsurance(String insurance) {
		this.insurance = insurance;
	}
	
	/**
	 * @param bonus 賞与メニュー
	 */
	public void setBonus(String bonus) {
		this.bonus = bonus;
	}
	
	/**
	 * @param adjustment 年末調整メニュー
	 */
	public void setAdjustment(String adjustment) {
		this.adjustment = adjustment;
	}
	
	/**
	 * @param expense 経費メニュー
	 */
	public void setExpense(String expense) {
		this.expense = expense;
	}
	
	/**
	 * @param service1 メニュー1
	 */
	public void setService1(String service1) {
		this.service1 = service1;
	}
	
	/**
	 * @param service2 メニュー2
	 */
	public void setService2(String service2) {
		this.service2 = service2;
	}
	
	/**
	 * @param service3 メニュー3
	 */
	public void setService3(String service3) {
		this.service3 = service3;
	}
	
	/**
	 * @param service4 メニュー4
	 */
	public void setService4(String service4) {
		this.service4 = service4;
	}
	
	/**
	 * @param service5 メニュー5
	 */
	public void setService5(String service5) {
		this.service5 = service5;
	}
	
	/**
	 * @param deleteflag 削除フラグ
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
}
